<?
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}

$id_empresa =$_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
$id_autoriza=57;



include("../conex.php");
include("../autoriza.php");

if ($grabar==0)  
{
?>
		<script>
		alert ("No Autorizado");	
		window.close();
		</script>
	<? 
	exit();
}
	
$cantidad=$_GET["cnt"];

$cant =0;
while ($cant<$cantidad)
  {
	if (  $descuento[$cant]!='')

	{

	$con=0;
	$sql_busca = "SELECT * FROM descuentos_productos WHERE id_descuento=$id_descuento AND id_producto=$codigo[$cant]";

	$res_busca =  mysql_query($sql_busca, $enlace);		
	while (mysql_fetch_object ($res_busca))
	{$con+=1;}

        if ($con==0)
		{
		$psql = "INSERT INTO descuentos_productos (id_producto, descuento, id_descuento) VALUES ($codigo[$cant], $descuento[$cant], $id_descuento)";
		
		$consulta = mysql_query($psql,$enlace);
		}
		 else
		{
		$psql = "UPDATE descuentos_productos SET descuento = $descuento[$cant] WHERE id_descuento=$id_descuento AND id_producto=$codigo[$cant]";
		$consulta = mysql_query($psql,$enlace);
		}
	
	}
$cant+=1;
   }
?>

<script language="javascript" type="text/javascript">
alert ("<?='Producto..\nActualizado Con Exito!';?>");
window.close();
</script>
